using System;
using System.Collections.Generic;

namespace Banquet
{
	internal class ExplorerTreeNodeComparer : IComparer<ExplorerTreeNode>
	{
		public static readonly ExplorerTreeNodeComparer Instance = new ExplorerTreeNodeComparer();

		public ExplorerTreeNodeComparer()
		{
		}

		public int Compare(ExplorerTreeNode x, ExplorerTreeNode y)
		{
			int c = (int)x.Type - (int)y.Type;

			if (c == 0)
			{
				c = string.Compare(x.Name, y.Name, StringComparison.CurrentCultureIgnoreCase);
			}

			return c;
		}
	}
}