using System;

namespace Banquet
{
	internal class TreeComboBoxItem
	{
		private int imageIndex;
		private int indentLevel;
		private object tag;
		private string text;

		public TreeComboBoxItem(string text)
		{
			this.text = text;
		}

		public TreeComboBoxItem(string text, int indentLevel)
		{
			this.text = text;
			this.indentLevel = indentLevel;
		}

		public TreeComboBoxItem(string text, int indentLevel, int imageIndex)
		{
			this.text = text;
			this.indentLevel = indentLevel;
			this.imageIndex = imageIndex;
		}

		public override string ToString()
		{
			return this.text;
		}

		public int ImageIndex
		{
			get
			{
				return this.imageIndex;
			}
			set
			{
				this.imageIndex = value;
			}
		}

		public int IndentLevel
		{
			get
			{
				return this.indentLevel;
			}
			set
			{
				this.indentLevel = value;
			}
		}

		public object Tag
		{
			get
			{
				return this.tag;
			}
			set
			{
				this.tag = value;
			}
		}

		public string Text
		{
			get
			{
				return this.text;
			}
			set
			{
				this.text = value;
			}
		}
	}
}