
//
// Definition of the numeric part of the IDs for the CTC elements of this
// package.
//


///////////////////////////////////////////////////////////////////////////////
// Menu IDs
#define IDM_BANQUET_TOOL_EXPLORER				0x201

///////////////////////////////////////////////////////////////////////////////
// Menu Group IDs
#define IDG_BANQUET_WINDOWS						0x300
#define IDG_BANQUET_EXLORER_VIEW				0x320
#define IDG_BANQUET_EXLORER_NEW					0x321

///////////////////////////////////////////////////////////////////////////////
// Command IDs
#define cmdidShowExplorerWindow					0x101
#define cmdidHideShowFolders					0x120
#define cmdidRefreshExplorer					0x121
#define cmdidBranch								0x122

///////////////////////////////////////////////////////////////////////////////
// Bitmap IDs (use decimal numbers here, to match the resource IDs)
#define IDB_MENU_IMAGES							300
#define IDI_PACKAGE_ICON						400

// Glyph indexes in the bitmap used for toolbars and menu commands (IDB_MENU_IMAGES)
// The indexes are 1-based so they can be used in ctc file to associate them with the icons in the bitmap
#define bmpidCommit								1
#define bmpidComment							2
#define bmpidTreeView							3
#define bmpidListView							4
#define bmpidRefresh							5
#define bmpidCompare							6
#define bmpidOpen								7
#define bmpidRevert								8
#define bmpidExplorer							9
#define bmpidFolders							10
